API Explorer 936 endpoints

Get ABAC Rules by Policy

GET /obp/v7.0.0/management/abac-rules/policy/POLICY

OBPv6.0.0-getAbacRulesByPolicy Roles: CanGetAbacRule ABAC

Get all ABAC rules that belong to a specific policy.

Multiple rules can share the same policy. Rules with multiple policies (comma-separated) will be returned if any of their policies match the requested policy.

Documentation:

  • here - Getting started with ABAC rules
  • here - Complete list of all 18 parameters
  • here - Detailed property reference

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

POLICY: POLICY

JSON response body fields (9)
abac_rule_id
abac_rule_id
abac_rules
abac_rules
created_by_user_id
description
Description of the object. Maximum length is 2000. It can be any characters here.
is_active
false
policy
policy
rule_code
rule_code
rule_name
rule_name
updated_by_user_id
updated_by_user_id
Example success response
{
  "abac_rules": [
    {
      "abac_rule_id": "abc123",
      "rule_name": "admin_only",
      "rule_code": "user.emailAddress.contains(\"admin\")",
      "is_active": true,
      "description": "Only allow access to users with admin email",
      "policy": "user-access,admin",
      "created_by_user_id": "user123",
      "updated_by_user_id": "user123"
    },
    {
      "abac_rule_id": "def456",
      "rule_name": "admin_department_check",
      "rule_code": "user.department == \"admin\"",
      "is_active": true,
      "description": "Check if user is in admin department",
      "policy": "admin",
      "created_by_user_id": "user123",
      "updated_by_user_id": "user123"
    }
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 getAbacRulesByPolicy Originally /obp/v6.0.0/management/abac-rules/policy/POLICY